summaryrefslogtreecommitdiffstats
path: root/tests/ts-minix-fsck
diff options
context:
space:
mode:
authorKarel Zak2009-02-05 16:41:41 +0100
committerKarel Zak2009-02-05 16:47:09 +0100
commit108cfeca72b4a4350afc8cdd5d9d398b72372b68 (patch)
treeffb986e569c0b73f862847226289240a363e1507 /tests/ts-minix-fsck
parentmkfs.minix: add regression test (diff)
downloadkernel-qcow2-util-linux-108cfeca72b4a4350afc8cdd5d9d398b72372b68.tar.gz
kernel-qcow2-util-linux-108cfeca72b4a4350afc8cdd5d9d398b72372b68.tar.xz
kernel-qcow2-util-linux-108cfeca72b4a4350afc8cdd5d9d398b72372b68.zip
fsck.minix: add regression test
Signed-off-by: Karel Zak <kzak@redhat.com>
Diffstat (limited to 'tests/ts-minix-fsck')
-rwxr-xr-xtests/ts-minix-fsck39
1 files changed, 39 insertions, 0 deletions
diff --git a/tests/ts-minix-fsck b/tests/ts-minix-fsck
new file mode 100755
index 000000000..c58ed32d2
--- /dev/null
+++ b/tests/ts-minix-fsck
@@ -0,0 +1,39 @@
+#!/bin/bash
+#
+# Copyright (C) 2009 Karel Zak <kzak@redhat.com>
+#
+# This file is part of util-linux-ng.
+#
+# This file is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This file is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+. ./commands.sh
+. ./functions.sh
+
+TS_COMPONENT="minix"
+TS_DESC="fsck"
+
+ts_init "$*"
+ts_skip_nonroot
+
+set -o pipefail
+
+IMAGE="$TS_OUTDIR/minix-loop.img"
+DEVICE=$(ts_device_init)
+
+ts_log "create minix fs"
+$TS_CMD_MKMINIX $DEVICE 2>&1 >> $TS_OUTPUT
+
+ts_log "fsck minix fs"
+$TS_CMD_FSCKMINIX $DEVICE 2>&1 >> $TS_OUTPUT
+
+ts_device_deinit $DEVICE
+ts_finalize
+